Bug 122487 - Make system tray root priviledges icon the root shield?
Summary: Make system tray root priviledges icon the root shield?
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: usermode   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-05 04:08 UTC by Need Real Name
Modified: 2013-07-02 23:00 UTC (History)
1 user (show)

Fixed In Version: 1.77-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-20 13:33:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Diagram (104.80 KB, image/png)
2004-05-05 04:10 UTC, Need Real Name
no flags Details
The following icon instead is now used by pam-panel-icon (1.19 KB, image/png)
2005-01-11 13:28 UTC, Jindrich Novy
no flags Details

Description Need Real Name 2004-05-05 04:08:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-GB; rv:1.6) Gecko/20040116

Description of problem:

In the Gnome, when you open a program requiring root administrative
priviledges, and you fill out the root password to gain them, you then
get the "keys" icon <keyring.png> down in the system tray to inform
you they are present.

I thought it might be an idea in the case of root priviledges to use
the root "shield" icon <root-password.png> in the system tray instead,
in a move to make the shield symbolize allthingsroot a bit more.

This would match the usage of the "shield" graphic to represent root
in the root password change app in "Hat>>System Settings>>Root
Password", and maybe work better in the context of the change to a
keys icon for the general user password change app (RFE 117166)...

Just a suggestion, what do we think?

[diagram attached]

Version-Release number of selected component (if applicable):
redhat-artwork-0.88-1

How reproducible:
Always

Steps to Reproduce:
1.Open a program requiring root administrative priviledges in Gnome.
2.Check out <keyring.png> icon that appears in the system tray
representing root priviledges.
3.Consider possibly swapping this for the root shield logo
<root-password.png> to represent it instead.
    

Additional info:

Comment 1 Need Real Name 2004-05-05 04:10:31 UTC
Created attachment 99974 [details]
Diagram

Comment 2 Hylke Bons 2004-08-26 09:50:08 UTC
I agree, it looks much better and says al ot more then the keys.

Comment 3 Jindrich Novy 2005-01-11 13:28:02 UTC
Created attachment 109602 [details]
The following icon instead is now used by pam-panel-icon


Note You need to log in before you can comment on or make changes to this bug.